#Publican Documentation Specfile
%define RHEL5 %(test %{?dist} == .el5 && echo 1 || echo 0)
%define HTMLVIEW %(test %{RHEL5} == 1 && echo 1 || echo 0)

%define ICONS 1

%define viewer xdg-open

%if %{HTMLVIEW}
%define viewer htmlview
%define vendor redhat-
%define vendoropt --vendor="redhat"
%endif

Name:         Red_Hat_Enterprise_Linux-Release_Notes-6-ml-IN
Version:      1
Release:      25%{?dist}

Summary:      Malayalam translation of Release_Notes
Summary(ml-IN):    Release Notes for Red Hat Enterprise Linux 6.1


Group:         Documentation
License:       CC-BY-SA
URL:           http://docs.redhat.com
Source:        %{name}-%{version}-25.tgz
BuildArch:      noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: publican >= 2.0
BuildRequires: desktop-file-utils
BuildRequires:    publican-redhat

%if %{HTMLVIEW}
Requires:    htmlview
%else
Requires:    xdg-utils
%endif



%description
Malayalam translation of Release_Notes

%description -l ml-IN
Red Hat Enterprise Linux minor releases are an aggregation of
individual enhancement, security and bug fix errata. The Red Hat
Enterprise Linux 6.1 Release Notes documents the major changes made
to the Red Hat Enterprise Linux 6 operating system and its
accompanying applications for this minor release. Detailed notes on
all changes in this minor release are available in the Technical
Notes.

%prep
%setup -q

%build
publican build --nocolours --formats="html-desktop" --langs=ml-IN

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps

%if %{ICONS}
for icon in `ls icons/*x*.png`; do
  size=`echo "$icon" | sed -e 's/icons\/\(.*\)\.png/\1/'`;
  mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/$size/apps
  cp $icon  $RPM_BUILD_ROOT/usr/share/icons/hicolor/$size/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-ml-IN.png;
done
cp icons/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-ml-IN.svg;
%else
cp ml-IN/images/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-ml-IN.svg;
%endif

cat > %{name}.desktop <<'EOF'
[Desktop Entry]
Name=Red Hat Enterprise Linux 6: Release Notes
Comment=Release Notes for Red Hat Enterprise Linux 6.1
Exec=%{viewer} %{_docdir}/%{name}-%{version}/index.html
Icon=Red_Hat_Enterprise_Linux-Release_Notes-6-ml-IN
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%if %{HTMLVIEW}
desktop-file-install  %{?vendoropt} --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%else
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%endif

# Update Icon cache if it exists
%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc tmp/ml-IN/html-desktop/*
%if %{ICONS}
/usr/share/icons/hicolor/*
%else
/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-ml-IN.svg
%endif
%if %{HTMLVIEW}
%{_datadir}/applications/%{?vendor}%{name}.desktop
%else
%{_datadir}/applications/%{name}.desktop
%endif

%changelog
* Tue Mar 22 2011 Ryan Lerch <rlerch@redhat.com> - 1-0
- Initial Version of the Red Hat Enterprise Linux 6.1 Release Notes 



